TheaimartAIx DOCS
Home Get API key

Embeddings

POST /v1/embeddings

Request body

FieldTypeRequiredDescription
model string default: BAAI/bge-large-en-v1.5 Embeddings model id.
input string | string[] required Text to embed. Array max 100 items.
encoding_format string default: float float or base64.

Example

curl https://api.aix.theaimart.co/v1/embeddings \
  -H "Authorization: Bearer $AIX_KEY" \
  -H "Content-Type: application/json" \
  -d '{ "model": "BAAI/bge-large-en-v1.5", "input": "vectorize me" }'

Response — list

{
  "object": "list",
  "model": "BAAI/bge-large-en-v1.5",
  "data": [{ "object": "embedding", "index": 0, "embedding": [0.01, -0.02, ""] }],
  "usage": { "prompt_tokens": 3, "total_tokens": 3 }
}

Billed per token at the model’s per-1M-token price.

Last updated July 18, 2026

Was this page helpful?